Crossfire Patcher

Crossfire Patcher 1.70

Free
Solves some compatibility issues of the Crossfire mod for Freelancer
4.0  (116 votes)
1.70 (See all)
Automatically updates the Crossfire launcher and solves all the issues caused by the code pages generated by a different version of the operating system.

This Patch does fix an issue with different OS version where codepages were ignored in the previous version. It will update the Crossfire launcher to version 1.55 and implement a selfupdate process. The Crossfire 1.7a Patch is an optional update for players which have problems with the automatic update of the Crossfire 1.7 mod.

Info updated on: